/* 
S T Y L E S H E E T  B Y  A M P H E B I A  
D O  N O T  M O D I F Y 

Extra small devices (portrait phones, less than 576px)
No media query since this is the default in Bootstrap 
*/

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Prata&display=swap');

html, body { background-color: #e9ebe2; height: 100%; font-family: 'Montserrat', sans-serif; color: #353e22; font-size: 15px; font-weight: 400; line-height: 25px; }
a { transition: color 0.5s ease; color: #052123; }
a:active, a:focus { color: #052123; text-decoration: none; }
a:hover { text-decoration: none; color: #c78d09; }
b, strong { font-weight: 600; }

.content a { color:inherit; }

img {max-width: 100%; }

.no-padding, .no-gutter > [class*='col-'] {
    padding-right:0 !important;
    padding-left:0 !important;
}
.no-margin { 
	margin-left: 0 !important;
	margin-right: 0 !important;
}

/* C O L O R  P A L E T T E */

.first-lead, .darkgray { 
	background-color: #232d07;
	color: #f8efe5;
}

.dark { 
	background-color: #730100; 
	color: #232d07; 
	font-size: 16px; 
	font-weight: 600; 
}

.white { background-color: #fff; }
.light { background-color: #fffaf4; }


/* H E A D E R S */

h1 {
	font-family: 'Prata', serif;
	font-size: 45px;
	margin-bottom: 5px; 
	color: #e9dfc0;
}

h2 {
	font-family: 'Prata', serif;
	font-size: 30px;
}

h3 {
	font-family: 'Prata', serif;
	font-size: 22px;
	margin-top: 20px;
}

p {
	color: #a3ae89;
	font-weight: 600;
	font-size: 18px;
	letter-spacing: 0.5px;
	line-height: 30px;
	font-family: 'Montserrat', sans-serif;
	margin-top: 15px;
	margin-bottom: 20px;
}


/* M E N U  B A R */

.menu-bar { 
	height: 110px; 
	background-color: #f8efe5; 
	position: fixed; 
	top: 0px; 
	z-index: 1;	
}

.logo {
	width: 101px; height: 90px; background-size: 101px 90px;
	background-image: url('../images/bedandbreakfastinmechelen.png');
	background-repeat: no-repeat;
	background-position: top left;
	position: absolute;
	display: block;
	top: 10px;
	left: 0;
}

.menu-wrapper {
	max-width: 800px;
	position: absolute;
	right: 0;
	top: 25px;
}
.menu-wrap1 { display: inline-block; float: left; }
.menu-wrap2 { display: none; float: right; padding: 0px; }

.navbar { font-weight: 500; padding: 8px 0px !important; }
.navbar-nav { width: 100%; font-size: 15px; letter-spacing: 0.4px; }
.nav-link {
	padding: 9px 0px !important;
	color: #232d07 !important; 
}
.menu-wrap2 .button:hover { background-color: #f7e442 !important; color: #000 !important; }
.nav-item { 
	background-color: #f8efe5;
	white-space: nowrap;
	margin: 0 13px; 
	transition:all 0.1s ease;	
}

.nav-item.active a, .nav-item:hover a { color: #730100 !important; }

.navbar-collapse.collapsing .nav-item:last-of-type,
.navbar-collapse.show .nav-item:last-of-type { padding-bottom: 15px; }

.menu-wrap2 { padding-top: 8px; }
.navbar-collapse {
	position: absolute;
	top: 80px;
	right: 0px;
	min-width: 100%;
	text-align: right;
	z-index: -1;
	background-color: #f8efe5;
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
	min-width: 250px;
	-webkit-box-shadow: 0px 9px 9px -1px rgba(0,0,0,0.27);
	-moz-box-shadow: 0px 9px 9px -1px rgba(0,0,0,0.27);
	box-shadow: 0px 9px 9px -1px rgba(0,0,0,0.27);
}

.navbar-toggler:focus,
.navbar-toggler:active,
.navbar-toggler-icon:focus {
    outline: none;
    box-shadow: none;
}

.dropdown-menu { 
	background-color: #eee;
	text-align: right; 
	border: 2px solid #e5e5e5;
}
.dropdown-item:active { background-color: #c2c2c2; }


.sub-navi > div { 
	width:100%;
	min-height:100px;
	padding: 15px;
	text-align: left;
	-webkit-border-radius: 0px 8px 8px 8px; 
	-moz-border-radius: 0px 8px 8px 8px; 
	border-radius: 0px 8px 8px 8px; 
	background-color: #eeeeee; 
}

.sub-navi a::before {
	font-family: FontAwesome;
	font-size: 13px;
    content: "\f105";	
	margin-right: 8px;
}


/* F O R M S */

.button, .container-fluid.transparency a {
	-webkit-border-radius: 3px; 
	-moz-border-radius: 3px;
	border-radius: 22px;
	height: 43px;
	text-transform: uppercase;
	font-size: 13px;
	border: none;
	padding: 0 20px;
	box-sizing: border-box;
	letter-spacing: 0.7px;
	font-weight: 200;
	color: #fff !important;
	line-height: 43px;
	cursor: pointer;
	background-color: #4b4f42;
	display: inline;
	align-self: flex-start;
	margin-top: 10px;
	margin-bottom: 20px;
}
.button:hover, .button:active, .button:focus { text-decoration: none; background-color: #232d07; }

.button .no-hover:hover { background-color: inherit; }


/* C O N T E N T */

.container-fluid {  }

.first-lead { color: #f8efe5; background-color: #525a40; }
.first-lead h2 { color: #d0b76d; font-size: 30px; margin-bottom: 20px; }

.slogan { padding-top: 5%; padding-bottom: 5%; background-color: #4b4f42; color: #fff; letter-spacing: 1px; }
.slogan h3 { margin: 0; padding: 0; font-size: 30px; color: #d0b76d; }

.content {
	padding: 10% !important;
	line-height: 2;
}	

.lead-content { margin-top: 110px; }
.lead-content .lead-image {
	background-size: cover;
	background-image: url('../images/bedandbreakfastmetzwembad.jpg');
	background-position: center center;
}	
.lead-image { min-height: 350px; }

.sub-image { overflow: hidden; background-color: #cecece; }
.sub-image, .icons {
	font-size: 12px;
	letter-spacing: 4px;
	text-transform: uppercase;
	text-align: center;
	padding: 0px;
}

.sub-image a { display: inline-block;margin-top: 20px; margin-bottom: 20px;text-decoration: none; color: #353e22; font-weight: 600; font-size: 13px; }
.sub-image span { color: #d0b76d; font-size:18px; }
.sub-image a:hover { text-decoration: underline; }
.sub-image img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: cover;
}

.full-image {
	min-height: 450px;
	padding: 0 !important;
	background-size: auto auto;
	background-position: bottom center;
	background-repeat: no-repeat;	
}	
.full-image img { width: 100%; }

.full-image.img-1 { background-image: url('../images/oaseditegem.jpg'); }
.full-image.img-2 { background-image: url('../images/vergaderruimte.jpg'); }
.full-image.img-3 { background-image: url('../images/slaapkamer-oaseditegem.jpg'); }
.full-image.img-4 { background-image: url('../images/slaapkamer-met-wall.jpg'); }

.content.less-high { padding: 5% 10% !important; min-height: 400px; border-bottom: 2px solid #faf1e3;  }
.content.less-high.header { padding-top: 10% !important; padding-bottom: 0px !important; min-height: 0; border: none; }

.vertical-center {
    display: flex;
    flex-direction: column;
    justify-content: center; /* centreert verticaal */
}

.footer { font-size: 14px; text-align: left; }
.footer a:hover { text-decoration: underline !important;}




/* Overlay */
#overlay {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.5); /* semitransparant grijs */
    z-index: 9999;

    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px; /* ruimte op mobiel */
}

/* Lightbox */
.lightbox {
    position: relative;
    background: #fff;
    width: 100%;
    max-width: 800px;
    height: 80vh;

    border-radius: 20px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.25);
    overflow: hidden;
	padding: 55px 40px 40px 40px;
}

/* Iframe */
.lightbox iframe {
    width: 100%;
    border: none;
}

/* Sluitknop */
.lightbox .close {
    position: absolute;
    top: 12px;
    right: 12px;

    background: rgba(0,0,0,0.6);
    color: #fff;
    border: none;
    border-radius: 50%;
    width: 36px;
    height: 36px;

    font-size: 22px;
    cursor: pointer;
    line-height: 36px;
    text-align: center;
}

/* Mobiel optimalisatie */
@media (max-width: 768px) {
    .lightbox {
        height: 90vh;
        border-radius: 15px;
		padding: 55px 5px 5px 5px;
	}
	#overlay {
		padding: 0;
	}
}